use crate::registry::prelude::*;

const FEE_LINK: &str = "https://www.oresundskraft.se/privat/elnat/elnatsavgifter/";
const FEED_IN_LINK: &str = "https://www.oresundskraft.se/privat/elnat/priser-egen-elproduktion/";

pub static ORESUNDSKRAFT_ELNAT_AB: GridOperator = GridOperator::builder()
    .name("Öresundskraft Elnät AB")
    .vat_number("SE559443403601")
    .country(SE)
    .links(
        Links::builder()
            .fee_info_default(FEE_LINK)
            .feed_in_revenue_info_default(FEED_IN_LINK)
            .build(),
    )
    // NOTE: We don't add Tidstariff because it seems that they've deprecated it:
    //       "* Ingen nyanslutning sker till tidstariff, ej heller byte från enkeltariff till tidstariff på befintliga abonnemang."
    .price_lists(&[PriceList::builder()
        .from_date(2025, 1, 1)
        .monthly_fee(Cost::fuses(&[
            (16, Money::new(5310, 0).divide_by(12)),
            (20, Money::new(8770, 0).divide_by(12)),
            (25, Money::new(10690, 0).divide_by(12)),
            (35, Money::new(16240, 0).divide_by(12)),
        ]))
        .monthly_production_fee(Cost::fixed(55, 0))
        .feed_in_revenue(FeedInRevenue::spot_price_variable(2.5, 0.05, false))
        .transfer_fee(TransferFee::spot_price_variable(17.0, 0.057, false))
        .power_tariff(PowerTariff::NotImplemented)
        .build()])
    .build();
